## deepin-system-update-tools 1.0.2

=== Makefile ===

.PHONY: build clean test help default

GO=go

GOBUILD_OPTIONS := -v -mod vendor
export GO111MODULE=on
export GOPROXY=https://goproxy.cn
PREFIX := /usr

BIN_UPDATE_TOOLS=deepin-system-update
BIN_FIXPKG_TOOLS=deepin-system-fixpkg

VERSION := $(shell grep "const Version " pkg/utils/version/version.go | sed -E 's/.*"(.+)"$$/\1/')
# GIT_COMMIT=$(shell -xc "head  -n 1 debian/changelog  | awk '{print $2}' | sed 's/[(]\(.*\)[)]/\1/' ")
GIT_COMMIT="1.0.0"
GIT_DIRTY=$(shell test -n "`git status --porcelain`" && echo "+Devel" || true)
BUILD_DATE=$(shell date '+%Y-%m-%d-%H:%M:%S')

default: build

all: bin
bin: build

help:
	@echo 'Management commands for deepin-system-update-tools:'
	@echo
	@echo 'Usage:'
	@echo '    make build           Compile the project.'
	@echo '    make get-deps        runs dep ensure, mostly used for ci.'
	
	@echo '    make clean           Clean the directory tree.'
	@echo

build:
	@echo "building ${BIN_UPDATE_TOOLS} ${VERSION} ${GIT_COMMIT}${GIT_DIRTY}"
	CGO_ENABLED=0 go build -gcflags "-N" -ldflags="-extldflags=-static" -o bin/${BIN_UPDATE_TOOLS} cmd/${BIN_UPDATE_TOOLS}/main.go

	@echo "building ${BIN_FIXPKG_TOOLS} ${VERSION} ${GIT_COMMIT}${GIT_DIRTY}"
	CGO_ENABLED=0 go build -ldflags="-extldflags=-static" -o bin/${BIN_FIXPKG_TOOLS} cmd/${BIN_FIXPKG_TOOLS}/main.go

	go build -o bin/sturn tools/sturn/main.go

get-deps:
	dep ensure

clean:
	@test ! -e bin/${BIN_UPDATE_TOOLS} || rm bin/${BIN_UPDATE_TOOLS}
	@test ! -e bin/${BIN_FIXPKG_TOOLS} || rm bin/${BIN_FIXPKG_TOOLS}
	@test ! -e bin/sturn || rm bin/sturn

test:
	go test ./...

=== vendor/github.com/gin-gonic/gin/Makefile ===
GO ?= go
GOFMT ?= gofmt "-s"
PACKAGES ?= $(shell $(GO) list ./... | grep -v /vendor/)
VETPACKAGES ?= $(shell $(GO) list ./... | grep -v /vendor/ | grep -v /examples/)
GOFILES := $(shell find . -name "*.go" -type f -not -path "./vendor/*")
TESTFOLDER := $(shell $(GO) list ./... | grep -E 'gin$$|binding$$|render$$' | grep -v examples)

all: install

install: deps
	govendor sync

.PHONY: test
test:
	echo "mode: count" > coverage.out
	for d in $(TESTFOLDER); do \
		$(GO) test -v -covermode=count -coverprofile=profile.out $$d > tmp.out; \
		cat tmp.out; \
		if grep -q "^--- FAIL" tmp.out; then \
			rm tmp.out; \
			exit 1; \
		elif grep -q "build failed" tmp.out; then \
			rm tmp.out; \
			exit 1; \
		elif grep -q "setup failed" tmp.out; then \
			rm tmp.out; \
			exit 1; \
		fi; \
		if [ -f profile.out ]; then \
			cat profile.out | grep -v "mode:" >> coverage.out; \
			rm profile.out; \
		fi; \
	done

.PHONY: fmt
fmt:
	$(GOFMT) -w $(GOFILES)

.PHONY: fmt-check
fmt-check:
	@diff=$$($(GOFMT) -d $(GOFILES)); \
	if [ -n "$$diff" ]; then \
		echo "Please run 'make fmt' and commit the result:"; \
		echo "$${diff}"; \
		exit 1; \
	fi;

vet:
	$(GO) vet $(VETPACKAGES)

deps:
	@hash govendor > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/kardianos/govendor; \
	fi

.PHONY: lint
lint:
	@hash golint > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u golang.org/x/lint/golint; \
	fi
	for PKG in $(PACKAGES); do golint -set_exit_status $$PKG || exit 1; done;

.PHONY: misspell-check
misspell-check:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -error $(GOFILES)

.PHONY: misspell
misspell:
	@hash misspell > /dev/null 2>&1; if [ $$? -ne 0 ]; then \
		$(GO) get -u github.com/client9/misspell/cmd/misspell; \
	fi
	misspell -w $(GOFILES)

.PHONY: tools
tools:
	go install golang.org/x/lint/golint; \
	go install github.com/client9/misspell/cmd/misspell;

=== debian/changelog ===
deepin-system-update-tools (1.0.2-deepin1) unstable; urgency=medium

  * Added sw schema compilation dependency.

 -- Hao Ding <dinghao@uniontech.com>  Thu, 27 Mar 2025 13:25:15 +0800

deepin-system-update-tools (1.0.1-deepin1) unstable; urgency=medium

  * Dependency check only checks the core system packages.

 -- Hao Ding <dinghao@uniontech.com>  Thu, 12 Sep 2024 15:05:59 +0800

deepin-system-update-tools (1.0.0-1) unstable; urgency=medium

  * Initial release.

 -- heysion <heysion@deepin.com>  Mon, 16 Oct 2023 13:53:55 +0800

=== debian/control ===
Source: deepin-system-update-tools
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 golang (>= 2:1.15),
 gitlab-workhorse [sw64],
 golang-1.22-go [sw64],
 golang-1.22-src [sw64],
 golang-github-blevesearch-bleve-dev [sw64],
 golang-github-dnephin-cobra-dev [sw64],
 golang-github-gin-contrib-sse-dev [sw64],
 golang-github-gin-gonic-gin-dev [sw64],
 golang-github-google-uuid-dev [sw64],
 golang-github-inconshreveable-mousetrap-dev [sw64],
 golang-github-json-iterator-go-dev [sw64],
 golang-github-mattn-go-isatty-dev [sw64],
 golang-github-modern-go-concurrent-dev [sw64],
 golang-github-modern-go-reflect2-dev [sw64],
 golang-github-sirupsen-logrus-dev [sw64],
 golang-github-spf13-cobra-dev [sw64],
 golang-github-spf13-pflag-dev [sw64],
 golang-github-ugorji-go-codec-dev [sw64],
 golang-golang-x-net-dev [sw64],
 golang-golang-x-sys-dev [sw64],
 golang-gopkg-yaml.v2-dev [sw64],
 golang-goprotobuf-dev [sw64],
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-system-update
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 deepin-system-fixpkg,
Description: deepin system update tools.
 Deepin system update tools that command line.

Package: deepin-system-fixpkg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: deepin system fix depends tools.
 Deepin system fix depends tools that command line.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export GOCACHE = /tmp/gocache

%:
	dh $@

override_dh_auto_test:

## deepin-system-update-tools 1.0.5

=== debian/changelog ===
deepin-system-update-tools (1.0.5-deepin1) unstable; urgency=medium

  * Allow the pkglist to be empty; adjust the version check criteria for dpkg.

 -- Hao Ding <dinghao@uniontech.com>  Thu, 17 Apr 2025 14:56:17 +0800

deepin-system-update-tools (1.0.4-deepin1) stable; urgency=medium

  * add corePkgList config file.

 -- Hao Ding <dinghao@uniontech.com>  Wed, 15 Apr 2025 15:59:38 +0800

deepin-system-update-tools (1.0.3-deepin1) unstable; urgency=medium

  * adapt sw64.

 -- Hao Ding <dinghao@uniontech.com>  Tue, 15 Apr 2025 14:18:46 +0800

=== debian/control ===
Source: deepin-system-update-tools
Section: admin
Priority: optional
Maintainer: Deepin Packages Builder <packages@deepin.com>
Build-Depends:
 debhelper (>= 11),
 golang (>= 2:1.15),
 golang-1.22-go [sw64],
 golang-1.22-src [sw64],
Standards-Version: 4.1.3
Homepage: http://www.deepin.org

Package: deepin-system-update
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 deepin-system-fixpkg,
Description: deepin system update tools.
 Deepin system update tools that command line.

Package: deepin-system-fixpkg
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: deepin system fix depends tools.
 Deepin system fix depends tools that command line.

## deepin-system-update-tools 1.0.7

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export GO111MODULE=on
 export GOPROXY=https://goproxy.cn
 PREFIX := /usr
-
+ARCH ?= $(shell uname -m)
 BIN_UPDATE_TOOLS=deepin-system-update
 BIN_FIXPKG_TOOLS=deepin-system-fixpkg
 
@@ -16,6 +16,13 @@
 GIT_COMMIT="1.0.0"
 GIT_DIRTY=$(shell test -n "`git status --porcelain`" && echo "+Devel" || true)
 BUILD_DATE=$(shell date '+%Y-%m-%d-%H:%M:%S')
+ 
+ifneq ($(ARCH), mips64)
+    BUILD_OPTIONS = -linkmode=external -w -s -extldflags '-Wl,-z,relro,-z,notext,-z,now -pie'
+else
+    BUILD_OPTIONS = -extldflags=-static
+endif
+
 
 default: build
 
@@ -34,12 +41,11 @@
 
 build:
 	@echo "building ${BIN_UPDATE_TOOLS} ${VERSION} ${GIT_COMMIT}${GIT_DIRTY}"
-	CGO_ENABLED=0 go build -gcflags "-N" -ldflags="-extldflags=-static" -o bin/${BIN_UPDATE_TOOLS} cmd/${BIN_UPDATE_TOOLS}/main.go
+	CGO_ENABLED=1 go build -gcflags "-N" -ldflags="${BUILD_OPTIONS}" -o bin/${BIN_UPDATE_TOOLS} cmd/${BIN_UPDATE_TOOLS}/main.go
 
 	@echo "building ${BIN_FIXPKG_TOOLS} ${VERSION} ${GIT_COMMIT}${GIT_DIRTY}"
-	CGO_ENABLED=0 go build -ldflags="-extldflags=-static" -o bin/${BIN_FIXPKG_TOOLS} cmd/${BIN_FIXPKG_TOOLS}/main.go
+	CGO_ENABLED=1 go build -ldflags="${BUILD_OPTIONS}" -o bin/${BIN_FIXPKG_TOOLS} cmd/${BIN_FIXPKG_TOOLS}/main.go
 
-	go build -o bin/sturn tools/sturn/main.go
 
 get-deps:
 	dep ensure
@@ -47,7 +53,6 @@
 clean:
 	@test ! -e bin/${BIN_UPDATE_TOOLS} || rm bin/${BIN_UPDATE_TOOLS}
 	@test ! -e bin/${BIN_FIXPKG_TOOLS} || rm bin/${BIN_FIXPKG_TOOLS}
-	@test ! -e bin/sturn || rm bin/sturn
 
 test:
 	go test ./...

=== debian/changelog ===
deepin-system-update-tools (1.0.7-deepin1) stable; urgency=medium

  * Remove public network addresses from the code; remove strun.

 -- Hao Ding <dingh@dingh-PC>  Fri, 11 Jul 2025 14:05:38 +0800

deepin-system-update-tools (1.0.6-deepin1) stable; urgency=medium

  * Compiler Stack Hardening.

 -- Hao Ding <dinghao@uniontech.com>  Fri, 04 Jul 2025 15:40:58 +0800
